Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Wondering why that MOD you have won't install correctly? Let's take a look
Forum rules
DO NOT give out any FTP passwords to anyone! There is no reason to do so! If you need help badly enough, create a temporary FTP account that is restricted to only the files that you need help with and give the information for that. Giving out FTP information can be very dangerous!
Locked
kissels
Registered User
Posts: 10
Joined: Sat Feb 10, 2007 6:10 am

Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by kissels » Thu Mar 01, 2007 6:34 pm

I recently upgraded my phpbb from version 2.0.6 to 2.0.22. EasyMod was apparently not affected and is visible on the admin panel after upgrade. I had 5 MODs installed via EM prior to the upgrade that are not working and I need to reinstall them. The EM history shows, however, that they are already installed. I tried removing one of them from the EM history and deleting the files from the server via FTP, but when I re-uploaded the MOD, it still won't show up as an unprocessed MOD that needs to be installed. In another forum, I was told that I needed to delete the files from the "ems database," but am not sure how to do that or if that is accurate.

Any help/instruction on how to reinstall previously EM-installed MODs after upgrading would be appreciated. Thanks!

madtay
Posts: 72
Joined: Fri Aug 18, 2006 7:52 am

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by madtay » Thu Mar 01, 2007 7:42 pm

wrong forum for phpbb2 discussion/support ;)

kissels
Registered User
Posts: 10
Joined: Sat Feb 10, 2007 6:10 am

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by kissels » Thu Mar 01, 2007 7:57 pm

Oops... sorry. Thought I was in the EM support forums. Will repost there. Thanks.

User avatar
Handyman
Registered User
Posts: 522
Joined: Thu Feb 03, 2005 5:09 am
Location: Where no man has gone before!
Contact:

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by Handyman » Thu Mar 01, 2007 8:14 pm

kissels wrote: I recently upgraded my phpbb from version 2.0.6 to 2.0.22. EasyMod was apparently not affected and is visible on the admin panel after upgrade. I had 5 MODs installed via EM prior to the upgrade that are not working and I need to reinstall them. The EM history shows, however, that they are already installed. I tried removing one of them from the EM history and deleting the files from the server via FTP, but when I re-uploaded the MOD, it still won't show up as an unprocessed MOD that needs to be installed. In another forum, I was told that I needed to delete the files from the "ems database," but am not sure how to do that or if that is accurate.

Any help/instruction on how to reinstall previously EM-installed MODs after upgrading would be appreciated. Thanks!

Mods that were build for 2.0.6 generally aren't going to be compatible with 2.0.22 since a lot of changes were made in those several years.
Changes were also made in mod standards, so mods for that period are really outdated.

And madtay is correct… it should be posted in the EM section.

[edit]whoops… seems I had this page open for a long time and missed the last post[/edit]
My phpBB3 Mods || My Mod Queue
Search Engine Friendly (SEO) URLs || Profile link on Avatar and/or Username || AJAX Chat
Display Posts Anywhere || CashMod || AJAX Quick Edit || AJAX Quick Reply

Image

kissels
Registered User
Posts: 10
Joined: Sat Feb 10, 2007 6:10 am

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by kissels » Thu Mar 01, 2007 9:25 pm

I did repost in the appropriate place, but thanks for the reply.... My forum is actually very new; my host company offers phpbb installation as a perk, but they install 2.0.6. So it was installed within the last couple of weeks, at which time I installed MODs that I found at phpbb.com and then did the upgrade.... The long and the short of it is that the MODs were installed within the last couple of weeks and, I believe, most if not all of them, have been updated and are compatible with 2.0.22. But, again, thanks!

cammie895
Registered User
Posts: 18
Joined: Fri Feb 16, 2007 11:21 pm

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by cammie895 » Tue Mar 06, 2007 10:03 pm

kissels wrote: My forum is actually very new; my host company offers phpbb installation as a perk, but they install 2.0.6.


Sounds like your host company needs a kick in the pants.

kissels
Registered User
Posts: 10
Joined: Sat Feb 10, 2007 6:10 am

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by kissels » Tue Mar 06, 2007 10:24 pm

No doubt.... The other day, the whole darn thing wouldn't work, so I had to uninstall it completely and then reinstall it, but when I went to reinstall it, the 1st of 4 installation pages wouldn't even come up. My host company has been "working on" fixing it for 4 days now. Meanwhile, I had to create a page and redirect every link on my site there so that my ranking on Google wouldn't get shot in the arse for having dead links on all of my pages.

They said they'll contact me when they've figured it out. I guess I'm just suppose to grin and bear it as the days pass... or maybe research other hosting solutions. ;)

User avatar
Handyman
Registered User
Posts: 522
Joined: Thu Feb 03, 2005 5:09 am
Location: Where no man has gone before!
Contact:

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by Handyman » Wed Mar 07, 2007 1:20 am

kissels wrote: No doubt.... The other day, the whole darn thing wouldn't work, so I had to uninstall it completely and then reinstall it, but when I went to reinstall it, the 1st of 4 installation pages wouldn't even come up. My host company has been "working on" fixing it for 4 days now. Meanwhile, I had to create a page and redirect every link on my site there so that my ranking on Google wouldn't get shot in the arse for having dead links on all of my pages.

They said they'll contact me when they've figured it out. I guess I'm just suppose to grin and bear it as the days pass... or maybe research other hosting solutions. ;)

I can't believe a hosting company would have trouble installing phpBB… but why on the planet Jupiter would they be installing phpBB 2.0.6¿?¿?¿?¿?¿?¿?¿?

That's several years outdated.
I got into 2.0.10 in 2004 and now they have 2.0.22.

2.0.6 was released at Sun Aug 03, 2003 9:21 am
The announcement was made by psotfx.
That was back when they were working on Milestone 2 of 2.2.
Back before it became phpBB3.
My phpBB3 Mods || My Mod Queue
Search Engine Friendly (SEO) URLs || Profile link on Avatar and/or Username || AJAX Chat
Display Posts Anywhere || CashMod || AJAX Quick Edit || AJAX Quick Reply

Image

kissels
Registered User
Posts: 10
Joined: Sat Feb 10, 2007 6:10 am

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by kissels » Wed Mar 07, 2007 2:41 am

Wow... didn't realize 2.0.6 was that old. I assumed it was maybe months out-of-date, or maybe even up to a year, but certainly not years. Being that my host company installs that version as a "free" little perk, they're probably not too worried about giving us the most up-to-date version, but that's just ridiculous. I'll have to start complaining and see if I can get the ball rolling on an update.... Thanks for pointing that out.

User avatar
Eelke
Registered User
Posts: 606
Joined: Thu Dec 20, 2001 8:00 am
Location: Bussum, NL
Contact:

Re: Deleting/Reinstalling EM-installed MODs after phpbb upgrade

Post by Eelke » Wed Mar 07, 2007 5:47 am

they're probably not too worried about giving us the most up-to-date version

It has nothing to do with giving you the latest and greatest (which is what I'm getting from the above quote), that argument would hold if they were offering phpBB 2 while phpBB 3 had been available for a long time already. Installing the latest point release is about security. There have been numerous security releases since 2.0.6, so both the forums themselves and your provider's systems (well, at least other sites running on the same server, I expect this is shared hosting) are at risk running a release this old. I'd seriously start doubting the competence of your provider, installing something as "a little perk" without any consideration for security is just reckless.

Locked